package com.fzm.mall.server.front.goods.service.impl;

import com.fzm.mall.server.front.goods.model.OprationBanner;
import com.fzm.mall.server.front.goods.mapper.OprationBannerMapper;
import com.fzm.mall.server.front.goods.service.IOprationBannerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 运营中心-banner 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-03-29
 */
@Service
public class OprationBannerServiceImpl extends ServiceImpl<OprationBannerMapper, OprationBanner> implements IOprationBannerService {

    @Autowired
    private OprationBannerMapper oprationBannerMapper;

    @Override
    public List<OprationBanner> getList(String merchantId) {
        return oprationBannerMapper.listAll(merchantId);
    }
}
